# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    solseek
%define version 0.6
%define release 1.2006mcnl
%define summary realtime images of the Sun
%define section More Applications/Sciences/Astronomy
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.kde-apps.org/content/show.php?content=31311
License:        GPL
Group:          Sciences/Astronomy
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        31311-%{name}-%{version}.tar.bz2
Source1:	solseek.png

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
SolSeeK is a Kicker applet for viewing realtime images of the Sun provided by the 
SOHO satellite and some other sources.

SolSeeK updates the image in your panel every 15 minutes. 
A right click menu allows you to view full size images.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}

%build 

%configure

%make

%install

%makeinstall

#icons
%define  nameicon %{SOURCE1}
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%clean 
rm -rf %{buildroot}


%files 
%defattr(-,root,root,0755) 
%doc COPYING AUTHORS ChangeLog

%{_libdir}/%{name}_panelapplet.*
%{_datadir}/apps/kicker/applets/%{name}.desktop
%{_datadir}/doc/HTML/*
%{_iconsdir}


%changelog 
*Thu Dec 1 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6-1.2006mcnl
new version

*Fri Nov 25 2005 Marco Meijer <marco@mandrivaclub.nl> 0.4-1.2006mcnl
new version

*Mon Nov 15 2005 Marco Meijer <marco@mandrivaclub.nl> 0.2-1.2006mcnl
new version

*Mon Nov 14 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1-1.2006mcnl
Build for mandrivaclub.nl


